Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultTextType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.ConsultTextType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultTextType extends Object implements Serializable
To conform to the eHealth requirements, multi-lingual text fields are returned with the xml:lang attribute instead of specific language tags.

Java class for ConsultTextType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultTextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Text" maxOccurs="unbounded" minOccurs="2">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>string">
                     <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultTextType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Text>`
  `getTexts()`
  At least two translations (dutch and french) are required for a multi-language text field.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultTextType

    public ConsultTextType()

- ## Method Details

  - ### getTexts

    public List<Text> getTexts()
    At least two translations (dutch and french) are required for a multi-language text field. Gets the value of the texts property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

    For example, to add a new item, do as follows:

         getTexts().add(newItem);

    Objects of the following type(s) are allowed in the list `Text`

    Returns:
      The value of the texts property.